HierarchicalItem subclass:#AbstractVersionDiffBrowserItem
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Browsers-Support'
!

!AbstractVersionDiffBrowserItem class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        Pierre Schwarz (ps@exept.de)

    [see also:]

    [instance variables:]

    [class variables:]
"

! !

!AbstractVersionDiffBrowserItem methodsFor:'protocol'!

children
"
default childrens of the receiver are none. 

<return: Array>
"

    children isNil ifTrue:[
        children := #()
    ].
    ^ children






!

icon
"
use the default icon for the receiver. 

<return: nil>
"

   ^ nil


!

label
"
no label for the receiver. 

<return: nil>
"

    ^ nil

!

middleButtonMenu
"returns the middleButtonMenu or nil if no menu is defined

<return: nil>
"
    ^ nil

! !

!AbstractVersionDiffBrowserItem methodsFor:'testing'!

isClassItem
"
Used for testing tree items. Define correct behaviour in subclasses

<return: Boolean>
"

    ^false
!

isExpandableRevisionItem
"
the receiver is a expandable revision item. Used for testing tree items.

<return: Boolean>
"
    ^false




!

isRevisionItem
"
Used for testing tree items. Define correct behaviour in subclasses

<return: Boolean>
"

    ^false
! !

!AbstractVersionDiffBrowserItem class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/AbstractVersionDiffBrowserItem.st,v 1.2 2000-01-14 15:57:20 cg Exp $'
! !
